<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_testimonials extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(
      'hero_slider' => 0,
    ), $atts ) );


    ob_start();


    $args = array(
      'post_type' => 'testimonial',
      'posts_per_page' => "2",

    );
	  
	  
	$i = 0;


    $the_query = new WP_Query( $args );
    if ( $the_query->have_posts() ):
      while ( $the_query->have_posts() ):
        $the_query->the_post();


    if ( have_rows( 'testimonial' ) ):


      ?>
<div class="row">
  <?php

  while ( have_rows( 'testimonial' ) ): the_row();
	  
	  $i++;
			
			if( $i > 2 )
			{
				break;
			}
	  
  ?>
  <div class="col-md-6">
    <div class="testimonial">
      <p>
        <?php the_sub_field( 'testimonial' ); ?>
      </p>
      <h6>
        <?php the_sub_field( 'testimonial_name' ); ?>
      </h6>
      <small>
      <?php the_sub_field( 'testimonial_subtitle' ); ?>
      </small> </div>
  </div>
  <?php
  endwhile;
  ?>
</div>
<?php
endif;


?>
<?php


endwhile;
endif;

return ob_get_clean();
}
}

vc_map( array(
  "base" => "ts_testimonials",
  "name" => __( 'Testimonials', 'ts' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(
    array(
      "type" => "textfield",
      "heading" => __( 'Total Count', 'themezinho' ),
      "param_name" => "total_count",
      "value" => 6,
      "description" => "Total number of testimonial items that will be shown.",
      "group" => 'General',
    ),
    array(
      "type" => "dropdown",
      "heading" => __( 'Testimonials Slider', 'ts' ),
      "param_name" => "hero_slider",
      "group" => "General",
      "value" => ts_get_testo_carousel()
    )
  ),
) );
