<?php
if ( !defined( 'ABSPATH' ) ) {
  die( '-1' );
}

class WPBakeryShortCode_ts_calculator extends WPBakeryShortCode {

  protected function content( $atts, $content = null ) {

    extract( shortcode_atts( array(


      'details' => '',
		'details2' => '',
		'details3' => '',
		'details4' => '',


      'select_label1' => '',


      'select_label2' => '',
      'select_option2' => '',
      'select_value2' => '',

      'text_fields' => '',
      'input_label' => '',
      'input_value' => '',

      'switcher_label' => '',
      'display_switcher' => '',
      'switcher_label1' => '',
      'switcher_value1' => '',
      'switcher_label2' => '',
      'switcher_value2' => '',


      'checkboxes' => '',
      'checkbox_label' => '',
      'checkbox_value' => '',

      'total_label' => '',
      'total_currency' => '',


    ), $atts ) );

    $wrapper_class = array();


    $wrapper_class = implode( ' ', $wrapper_class );

    ob_start();


    $details = vc_param_group_parse_atts( $atts[ 'details' ] );
    $details2 = vc_param_group_parse_atts( $atts[ 'details2' ] );
    $details3 = vc_param_group_parse_atts( $atts[ 'details3' ] );
    $details4 = vc_param_group_parse_atts( $atts[ 'details4' ] );
    ?>
<div class="calculator">
  <div class="row inner">
    <div class="form-group col-md-6"> <span><?php echo esc_html( $select_label1 ); ?></span>
      <select id="value4">
        <?php
        $new_accordion_value = array();
        foreach ( $details as $data ) {
          $new_line = $data;
          $new_line[ 'select_option1' ] = isset( $new_line[ 'select_option1' ] ) ? $new_line[ 'select_option1' ] : '';
          $new_line[ 'select_value1' ] = isset( $new_line[ 'select_value1' ] ) ? $new_line[ 'select_value1' ] : '';
          $new_accordion_value[] = $new_line;

        }

        foreach ( $new_accordion_value as $accordion ):
	  
	  	$idd++;
		  ?>
        <option value="<?php echo esc_attr($accordion['select_value1']);?>"><?php echo esc_html($accordion['select_option1']);?></option>
        <?php
        endforeach;
        wp_reset_query();
        ?>
      </select>
    </div>
    <!-- end form-group -->
	   <?php
        $new_accordion_value = array();
        foreach ( $details2 as $data ) {
          $new_line = $data;
          $new_line[ 'select_option2' ] = isset( $new_line[ 'select_option2' ] ) ? $new_line[ 'select_option2' ] : '';
          $new_line[ 'select_value2' ] = isset( $new_line[ 'select_value2' ] ) ? $new_line[ 'select_value2' ] : '';
          $new_accordion_value[] = $new_line;

        } ?>
	  


    <div class="form-group col-md-6"> <span><?php echo esc_html( $select_label2 ); ?></span>
      <select id="value5">
       

       <?php foreach ( $new_accordion_value as $accordion ):
	  
	  	$idd++;
		  ?>
        <option value="<?php echo esc_attr($accordion['select_value2']);?>"><?php echo esc_html($accordion['select_option2']);?></option>
        <?php
        endforeach;
        wp_reset_query();
        ?>
      </select>
    </div>
    <!-- end form-group -->

	   <?php
        $new_accordion_value = array();
        foreach ( $details3 as $data ) {
          $new_line = $data;
          $new_line[ 'input_label' ] = isset( $new_line[ 'input_label' ] ) ? $new_line[ 'input_label' ] : '';
          $new_line[ 'input_value' ] = isset( $new_line[ 'input_value' ] ) ? $new_line[ 'input_value' ] : '';
          $new_accordion_value[] = $new_line;

        }
$idd = 0;
        foreach ( $new_accordion_value as $accordion ):
	  
	  	$idd++;
		  ?>
	  
    <div class="form-group col-lg-3 col-md-6"> <span><?php echo esc_html($accordion['input_label']);?></span>
      <input type="text" id="value<?php echo esc_attr( $idd ); ?>" value="1">
		<input type="hidden" id="data<?php echo esc_attr( $idd ); ?>" value="<?php echo esc_attr($accordion['input_value']);?>" >
    </div>
    <!-- end form-group -->
	  
	  <?php
        endforeach;
        wp_reset_query();
        ?>
	  
	  <?php if( $display_switcher != 'hide' ) { ?>
    <div class="form-group col-lg-3 col-md-6"> <span><?php echo esc_html( $switcher_label ); ?></span>
      <div class="yes-no" id="yes-no">
        <input type="radio" name="rdo" id="yes" value="<?php echo esc_html( $switcher_value1 ); ?>" checked="">
        <input type="radio" name="rdo" id="no" value="<?php echo esc_html( $switcher_value2 ); ?>">
        <div class="switch">
          <label for="yes"><?php echo esc_html( $switcher_label1 ); ?></label>
          <label for="no"><?php echo esc_html( $switcher_label2 ); ?></label>
          <span></span> </div>
      </div>
      <!-- end yes-no --> 
    </div>
    <!-- end form-group -->
	  <?php } ?>
    <div class="form-group col-12">
		<?php
        $new_accordion_value = array();
        foreach ( $details4 as $data ) {
          $new_line = $data;
          $new_line[ 'checkbox_label' ] = isset( $new_line[ 'checkbox_label' ] ) ? $new_line[ 'checkbox_label' ] : '';
          $new_line[ 'checkbox_value' ] = isset( $new_line[ 'checkbox_value' ] ) ? $new_line[ 'checkbox_value' ] : '';
          $new_accordion_value[] = $new_line;

        }
$iddd = 0;
        foreach ( $new_accordion_value as $accordion ):
	  
	  	$idd++;
		  ?>
      <label>
        <input type="checkbox" id="checkbox<?php echo esc_attr( $idd ); ?>" value="<?php echo esc_attr($accordion['checkbox_value']);?>">
        <?php echo esc_html($accordion['checkbox_label']);?></label>
       <?php
        endforeach;
        wp_reset_query();
        ?>
	  
    </div>
    <!-- end form-group -->
    <div class="form-group col-12">
      <div class="estimated-price"><b><?php echo esc_html( $total_label ); ?> :</b> <strong><?php echo esc_html( $total_currency ); ?></strong><strong id="result">0</strong></div>
      <!-- end estimated-price --> 
    </div>
    <!-- end form-group --> 
  </div>
</div>
<?php
	

return ob_get_clean();
}
}


vc_map( array(
  "base" => "ts_calculator",
  "name" => __( 'Calculator', 'themezinho' ),
  "icon" => THEMEZINHO_CORE_URI . "assets/img/custom.png",
  "content_element" => true,
  "category" => PAGE_BUILDER_GROUP,
  'params' => array(

    array(
      "type" => "textfield",
      "heading" => __( 'Select Label 1', 'themezinho' ),
      "param_name" => "select_label1",
      "group" => 'Select Box',
    ),

    array(
      'type' => 'param_group',
      'param_name' => 'details',
      'heading' => __( 'Select Item 1', 'themezinho' ),
      "group" => 'Select Box',
      'params' => array(

        array(
          "group" => 'Select Box',
          "type" => "textfield",
          "heading" => __( "Select Option", 'themezinho' ),
          "param_name" => "select_option1",
        ),

        array(
          "group" => 'Select Box',
          "type" => "textfield",
          "heading" => __( "Select Value", 'themezinho' ),
          "param_name" => "select_value1",
        ),

      ),
    ),

    array(
      "type" => "textfield",
      "heading" => __( 'Select Label 2', 'themezinho' ),
      "param_name" => "select_label2",
      "group" => 'Select Box',
    ),

    array(
      'type' => 'param_group',
      'param_name' => 'details2',
      'heading' => __( 'Select Item 2', 'themezinho' ),
      "group" => 'Select Box',
      'params' => array(

        array(
          "group" => 'Select Box',
          "type" => "textfield",
          "heading" => __( "Select Option", 'themezinho' ),
          "param_name" => "select_option2",
        ),

        array(
          "group" => 'Select Box',
          "type" => "textfield",
          "heading" => __( "Select Value", 'themezinho' ),
          "param_name" => "select_value2",
        ),

      ),
    ),


    array(
      'type' => 'param_group',
      'param_name' => 'details3',
      'heading' => __( 'Text Fields', 'themezinho' ),
      "group" => 'Text Fields',
      'params' => array(

        array(
          "group" => 'Text Fields',
          "type" => "textfield",
          "heading" => __( "Input Label", 'themezinho' ),
          "param_name" => "input_label",
        ),

        array(
          "group" => 'Text Fields',
          "type" => "textfield",
          "heading" => __( "Input Value", 'themezinho' ),
          "param_name" => "input_value",
        ),

      ),
    ),


    array(
      "type" => "textfield",
      "heading" => __( 'Switcher Label', 'themezinho' ),
      "param_name" => "switcher_label",
      "dependency" => array( 'element' => "display_switcher", 'value' => 'show' ),
      "group" => 'Switcher',
    ),

    array(
      "type" => "dropdown",
      "heading" => __( 'Display Switcher', 'themezinho' ),
      "param_name" => "display_switcher",
      "group" => 'Switcher',
      "value" => array(
        "Hide" => 'hide',
        "Show" => 'show',
      )
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Switcher Label 1', 'themezinho' ),
      "param_name" => "switcher_label1",
      "dependency" => array( 'element' => "display_switcher", 'value' => 'show' ),
      "group" => 'Switcher',
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Switcher Value 1', 'themezinho' ),
      "param_name" => "switcher_value1",
      "dependency" => array( 'element' => "display_switcher", 'value' => 'show' ),
      "group" => 'Switcher',
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Switcher Label 2', 'themezinho' ),
      "param_name" => "switcher_label2",
      "dependency" => array( 'element' => "display_switcher", 'value' => 'show' ),
      "group" => 'Switcher',
    ),
    array(
      "type" => "textfield",
      "heading" => __( 'Switcher Value 2', 'themezinho' ),
      "param_name" => "switcher_value2",
      "dependency" => array( 'element' => "display_switcher", 'value' => 'show' ),
      "group" => 'Switcher',
    ),


    array(
      'type' => 'param_group',
      'param_name' => 'details4',
      'heading' => __( 'Checkboxes', 'themezinho' ),
      "group" => 'Checkboxes',
      'params' => array(

        array(
          "group" => 'Text Fields',
          "type" => "textfield",
          "heading" => __( "Checkbox Label", 'themezinho' ),
          "param_name" => "checkbox_label",
        ),

        array(
          "group" => 'Text Fields',
          "type" => "textfield",
          "heading" => __( "Checkbox Value", 'themezinho' ),
          "param_name" => "checkbox_value",
        ),

      ),
    ),


    array(
      "type" => "textfield",
      "heading" => __( 'Total Label', 'themezinho' ),
      "param_name" => "total_label",
      "group" => 'Total',
    ),

    array(
      "type" => "textfield",
      "heading" => __( 'Total Currency', 'themezinho' ),
      "param_name" => "total_currency",
      "group" => 'Total',
    ),


  ),
) );
